INCLUDE (CheckIncludeFiles)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckTypeSize)
#todo

IF(GUI STREQUAL "disabled")
  SET(GUI False)
ELSE(GUI STREQUAL "disabled")
  SET(GUI True)
ENDIF(GUI STREQUAL "disabled")

IF(NOT RELOCATABLE STREQUAL "disabled")
  SET(ENABLE_RELOCATABLE True)
ENDIF(NOT RELOCATABLE STREQUAL "disabled")

IF(NOT NLS STREQUAL "disabled")
  SET(ENABLE_NLS True)
ENDIF(NOT NLS STREQUAL "disabled")

CHECK_FUNCTION_EXISTS(atexit HAVE_ATEXIT)
CHECK_FUNCTION_EXISTS(bind_textdomain_codeset HAVE_BIND_TEXTDOMAIN_CODESET)
CHECK_FUNCTION_EXISTS(bzero HAVE_BZERO)
CHECK_FUNCTION_EXISTS(clock_gettime HAVE_CLOCK_GETTIME)
CHECK_INCLUDE_FILES(curses.h HAVE_CURSES_H)
CHECK_FUNCTION_EXISTS(dcgettext HAVE_DCGETTEXT)
CHECK_INCLUDE_FILES(dirent.h HAVE_DIRENT_H)
CHECK_INCLUDE_FILES(dlfcn.h HAVE_DLFCN_H)
CHECK_FUNCTION_EXISTS(dup2 HAVE_DUP2)
CHECK_FUNCTION_EXISTS(endpwent HAVE_ENDPWENT)
CHECK_INCLUDE_FILES(fcntl.h HAVE_FCNTL_H)
CHECK_FUNCTION_EXISTS(finite HAVE_FINITE)
CHECK_INCLUDE_FILES(float.h HAVE_FLOAT_H)
CHECK_FUNCTION_EXISTS(floor HAVE_FLOOR)
CHECK_FUNCTION_EXISTS(getcwd HAVE_GETCWD)
CHECK_FUNCTION_EXISTS(gethostbyaddr HAVE_GETHOSTBYADDR)
CHECK_FUNCTION_EXISTS(gethostbyname HAVE_GETHOSTBYNAME)
CHECK_FUNCTION_EXISTS(gethostname HAVE_GETHOSTNAME)
CHECK_FUNCTION_EXISTS(getpagesize HAVE_GETPAGESIZE)
CHECK_FUNCTION_EXISTS(getpass HAVE_GETPASS)
CHECK_FUNCTION_EXISTS(gettext HAVE_GETTEXT)
CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
CHECK_FUNCTION_EXISTS(getwd HAVE_GETWD)
CHECK_FUNCTION_EXISTS(iconv HAVE_ICONV)
CHECK_INCLUDE_FILES(inttypes.h HAVE_INTTYPES_H)
CHECK_FUNCTION_EXISTS(isascii HAVE_ISASCII)
CHECK_FUNCTION_EXISTS(iswprint HAVE_ISWPRINT)
CHECK_LIBRARY_EXISTS(curses main "" HAVE_LIBCURSES)
CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_LIBDL)
#FIND_PACKAGE(HDF5)
SET(HAVE_HDF5 HDF5_FOUND)
CHECK_INCLUDE_FILES(libintl.h HAVE_LIBINTL_H)
CHECK_LIBRARY_EXISTS(matio printf "" HAVE_LIBMATIO)
CHECK_LIBRARY_EXISTS(ncurses printf "" HAVE_LIBNCURSES)
FIND_PACKAGE(PCRE)
SET(HAVE_LIBPCRE PCRE_FOUND)
CHECK_LIBRARY_EXISTS(pcreposix printf "" HAVE_LIBPCREPOSIX)
FIND_PACKAGE(LibXml2)
SET(HAVE_LIBXML2 LibXml2_FOUND)
CHECK_INCLUDE_FILES(limits.h HAVE_LIMITS_H)
CHECK_INCLUDE_FILES(locale.h HAVE_LOCALE_H)
CHECK_INCLUDE_FILES(mach-o/dyld.h HAVE_MACH_O_DYLD_H)
CHECK_INCLUDE_FILES(malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILES(matioConfig.h HAVE_MATIOCONFIG_H)
CHECK_INCLUDE_FILES(matio.h HAVE_MATIO_H)
CHECK_FUNCTION_EXISTS(memmove HAVE_MEMMOVE)
CHECK_INCLUDE_FILES(memory.h HAVE_MEMORY_H)
CHECK_FUNCTION_EXISTS(memset HAVE_MEMSET)
CHECK_FUNCTION_EXISTS(mkdir HAVE_MKDIR)
CHECK_FUNCTION_EXISTS(munmap HAVE_MUNMAP)
CHECK_INCLUDE_FILES(ncurses.h HAVE_NCURSES_H)
CHECK_INCLUDE_FILES(ndir.h HAVE_NDIR_H)
CHECK_INCLUDE_FILES(netdb.h HAVE_NETDB_H)
CHECK_INCLUDE_FILES(netinet/in.h HAVE_NETINET_IN_H)
CHECK_INCLUDE_FILES(nlist.h HAVE_NLIST_H)
CHECK_INCLUDE_FILES(pcre.h HAVE_PCRE_H)
CHECK_FUNCTION_EXISTS(pow HAVE_POW)
CHECK_FUNCTION_EXISTS(putenv HAVE_PUTENV)
CHECK_FUNCTION_EXISTS(regcomp HAVE_REGCOMP)
CHECK_FUNCTION_EXISTS(re_comp HAVE_RE_COMP)
CHECK_FUNCTION_EXISTS(rmdir HAVE_RMDIR)
CHECK_FUNCTION_EXISTS(select HAVE_SELECT)
CHECK_FUNCTION_EXISTS(setenv HAVE_SETENV)
CHECK_FUNCTION_EXISTS(setlocale HAVE_SETLOCALE)
CHECK_INCLUDE_FILES(sgtty.h HAVE_SGTTY_H)
CHECK_FUNCTION_EXISTS(sleep HAVE_SLEEP)
CHECK_FUNCTION_EXISTS(socket HAVE_SOCKET)
CHECK_FUNCTION_EXISTS(sqrt HAVE_SQRT)

CHECK_INCLUDE_FILES(stddef.h HAVE_STDDEF_H)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
CHECK_FUNCTION_EXISTS(strcasecmp HAVE_STRCASECMP)
CHECK_FUNCTION_EXISTS(strchr HAVE_STRCHR)
CHECK_FUNCTION_EXISTS(strdup HAVE_STRDUP)
CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR)
CHECK_INCLUDE_FILES(strings.h HAVE_STRINGS_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_FUNCTION_EXISTS(strpbrk HAVE_STRPBRK)
CHECK_FUNCTION_EXISTS(strrchr HAVE_STRRCHR)
CHECK_FUNCTION_EXISTS(strstr HAVE_STRSTR)
CHECK_FUNCTION_EXISTS(strtol HAVE_STRTOL)

#todo

CHECK_INCLUDE_FILES(syslog.h HAVE_SYSLOG_H)
CHECK_INCLUDE_FILES(sys/dir.h HAVE_SYS_DIR_H)
CHECK_INCLUDE_FILES(sys/file.h HAVE_SYS_FILE_H)
CHECK_INCLUDE_FILES(sys/ioctl.h HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES(sys/ndir.h HAVE_SYS_NDIR_H)
CHECK_INCLUDE_FILES(sys/param.h HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES(sys/timeb.h HAVE_SYS_TIMEB_H)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/utsname.h HAVE_SYS_UTSNAME_H)
CHECK_INCLUDE_FILES(sys/wait.h HAVE_SYS_WAIT_H)
#todo
CHECK_INCLUDE_FILES(termcap.h HAVE_TERMCAP_H)
CHECK_INCLUDE_FILES(termios.h HAVE_TERMIOS_H)
CHECK_INCLUDE_FILES(termio.h HAVE_TERMIO_H)
CHECK_INCLUDE_FILES(term.h HAVE_TERM_H)
CHECK_INCLUDE_FILES(time.h HAVE_TIME_H)
CHECK_FUNCTION_EXISTS(uname HAVE_UNAME)
CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
CHECK_FUNCTION_EXISTS(usleep HAVE_USLEEP)
CHECK_INCLUDE_FILES(values.h HAVE_VALUES_H)
CHECK_INCLUDE_FILES(wchar.h HAVE_WCHAR_H)
CHECK_INCLUDE_FILES(wctype.h HAVE_WCTYPE_H)
CHECK_INCLUDE_FILES(X11/Xlib.h HAVE_X11_XLIB_H)
CHECK_FUNCTION_EXISTS(_NSGetExecutablePath HAVE__NSGETEXECUTABLEPATH)

#todo
SET(G95_FORTRAN 1)
SET(WTU 1)
SET(USE_DYNAMIC_STACK 1)
SET(C2F "C2F(name) name##_")
SET(F2C "F2C(name) name##_")
SET(SHARED_LIB_EXT "\".so\"")
SET(CNAME "CNAME(name1,name2) name1##name2")
SET(RETSIGTYPE "void")
CHECK_TYPE_SIZE("int" SIZEOF_INT)
CHECK_TYPE_SIZE("long" SIZEOF_LONG)
SET(STDC_HEADERS 1)
SET(PATH_SEPARATOR "\":\"")

